package speiger.src.coreengine.rendering.guiOld.helper;

public enum Align
{
	LEFT_TOP,
	CENTER,
	RIGHT_BOTTOM;
	
	public float align(float containerSize, float objectSize)
	{
		switch(this)
		{
			case LEFT_TOP: return 0F;
			case CENTER: return (containerSize / 2F) - (objectSize / 2F);
			case RIGHT_BOTTOM: return containerSize - objectSize;
		}
		return 0F;
	}
}
